<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: modelo_alfa_ext_01092014.xml */
/* Generado: 2014-09-07 19:34:47 */

/* M�todos de acceso a los campos de la tabla cr_pedido_prestamo */
abstract class BaseCr_pedido_prestamoBN
{
    /* Campos de la tabla */
    private $i_Idpedido;    // idpedido: ( no definido )
    private $i_IdCliente;    // IdCliente: ( no definido )
    private $i_IidMercado;    // IidMercado: ( no definido )
    private $i_IdColaborador;    // IdColaborador: ( no definido )
    private $d_FechaTransaccion;    // FechaTransaccion: ( no definido )
    private $f_Monto;    // Monto: ( no definido )
    private $f_GastoAdministrativo;    // Monto: ( no definido )
    private $f_GastoAdministrativoFinal;    // Monto: ( no definido )
    private $f_LimiteCredito;    // LimiteCredito: ( no definido )
    private $i_IdPrestamo;    // TelefonoContacto: ( no definido )
    private $f_TelefonoContacto;    // TelefonoContacto: ( no definido )
    private $f_InteresPorcentaje;    // InteresPorcentaje: ( no definido )
    private $f_InteresPorcentajeFinal;    // InteresPorcentaje: ( no definido )
    private $i_Duracion;    // Duracion: ( no definido )
    private $i_DuracionFinal;    // DuracionFinal: ( no definido )
    private $s_PeridiocidadPago;    // PeridiocidadPago: ( no definido )
    private $s_PeridiocidadPagoFinal;    // PeridiocidadPago: ( no definido )
    private $s_HoraAtencion;    // HoraAtencion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $i_Eliminado;    // Eliminado: ( no definido )
    private $s_UsuarioEliminado;    // UsuarioEliminado: ( no definido )
    private $d_FechaEliminado;    // FechaEliminado: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_Observacion;    // Observacion: ( no definido )
    private $s_ObservacionFinal;    // Observacion: ( no definido )

    /* Establece el valor del campo idpedido */
    public function setIdpedido( $i_Idpedido )
    {
        $this->i_Idpedido = $i_Idpedido;
    }

    /* Obtiene el valor del campo idpedido */
    public function getIdpedido()
    {
        return $this->i_Idpedido;
    }

    /* Establece el valor del campo IdCliente */
    public function setTipo( $s_Tipo)
    {
        $this->s_Tipo = $s_Tipo;
    }

    /* Obtiene el valor del campo IdCliente */
    public function getTipo()
    {
        return $this->s_Tipo;
    }

	/* Establece el valor del campo IdCliente */
    public function setIdCliente( $i_IdCliente )
    {
        $this->i_IdCliente = $i_IdCliente;
    }

    /* Obtiene el valor del campo IdCliente */
    public function getIdCliente()
    {
        return $this->i_IdCliente;
    }

    /* Establece el valor del campo IidMercado */
    public function setIidMercado( $i_IidMercado )
    {
        $this->i_IidMercado = $i_IidMercado;
    }

    /* Obtiene el valor del campo IidMercado */
    public function getIidMercado()
    {
        return $this->i_IidMercado;
    }

    /* Establece el valor del campo IdColaborador */
    public function setIdColaborador( $i_IdColaborador )
    {
        $this->i_IdColaborador = $i_IdColaborador;
    }

    /* Obtiene el valor del campo IdColaborador */
    public function getIdColaborador()
    {
        return $this->i_IdColaborador;
    }

    /* Establece el valor del campo FechaTransaccion */
    public function setFechaTransaccion( $d_FechaTransaccion )
    {
        $this->d_FechaTransaccion = $d_FechaTransaccion;
    }

    /* Obtiene el valor del campo FechaTransaccion */
    public function getFechaTransaccion()
    {
        return $this->d_FechaTransaccion;
    }
    
    /* Establece el valor del campo FechaEntrega*/
    public function setFechaEntrega( $d_FechaEntrega)
    {
        $this->d_FechaEntrega = $d_FechaEntrega;
    }

    /* Obtiene el valor del campo FechaTransaccion */
    public function getFechaEntrega()
    {
        return $this->d_FechaEntrega;
    }


    /* Establece el valor del campo Monto */
    public function setMonto( $f_Monto )
    {
        $this->f_Monto = $f_Monto;
    }

    /* Obtiene el valor del campo Monto */
    public function getMonto()
    {
        return $this->f_Monto;
    }
    
    /* Establece el valor del campo GastoAdministrativo */
    public function setGastoAdministrativo( $f_GastoAdministrativo )
    {
        $this->f_GastoAdministrativo = $f_GastoAdministrativo;
    }

    /* Obtiene el valor del campo GastoAdministrativo */
    public function getGastoAdministrativo()
    {
        return $this->f_GastoAdministrativo;
    }
    
     /* Establece el valor del campo GastoAdministrativo */
    public function setGastoAdministrativoFinal( $f_GastoAdministrativoFinal )
    {
        $this->f_GastoAdministrativoFinal = $f_GastoAdministrativoFinal;
    }

    /* Obtiene el valor del campo GastoAdministrativoFinal */
    public function getGastoAdministrativoFinal()
    {
        return $this->f_GastoAdministrativoFinal;
    }
    
     /* Establece el valor del campo Monto */
    public function setMontoFinal( $f_MontoFinal )
    {
        $this->f_MontoFinal = $f_MontoFinal;
    }

    /* Obtiene el valor del campo Monto */
    public function getMontoFinal()
    {
        return $this->f_MontoFinal;
    }
    
    
     /* Establece el valor del campo Monto Entregado */
    public function setMontoEntregado( $f_MontoEntregado )
    {
        $this->f_MontoEntregado = $f_MontoEntregado;
    }

    /* Obtiene el valor del campo Monto Entregado*/
    public function getMontoEntregado()
    {
        return $this->f_MontoEntregado;
    }
    
     /* Establece el valor del campo Fecha Entregado */
    public function setFechaEntregado( $f_FechaEntregado )
    {
        $this->f_FechaEntregado = $f_FechaEntregado;
    }

    /* Obtiene el valor del campo Fecha Entregado*/
    public function getFechaEntregado()
    {
        return $this->f_FechaEntregado;
    }


    /* Establece el valor del campo LimiteCredito */
    public function setLimiteCredito( $f_LimiteCredito )
    {
        $this->f_LimiteCredito = $f_LimiteCredito;
    }

    /* Obtiene el valor del campo LimiteCredito */
    public function getLimiteCredito()
    {
        return $this->f_LimiteCredito;
    }

    /* Establece el valor del campo LimiteCredito */
    public function setTelefonoContacto( $f_TelefonoContacto )
    {
        $this->f_TelefonoContacto = $f_TelefonoContacto;
    }

    /* Obtiene el valor del campo IdPrestamo */
    public function getIdPrestamo()
    {
        return $this->i_IdPrestamo;
    }
	
	/* Establece el valor del campo IdPrestamo */
    public function setIdPrestamo( $i_IdPrestamo )
    {
        $this->i_IdPrestamo = $i_IdPrestamo;
    }
    
    /* Obtiene el valor del campo IdPrestamoReferencia */
    public function getIdPrestamoReferencia()
    {
        return $this->i_IdPrestamoReferencia;
    }
	
	/* Establece el valor del campo IdPrestamoReferencia */
    public function setIdPrestamoReferencia( $i_IdPrestamoReferencia)
    {
        $this->i_IdPrestamoReferencia = $i_IdPrestamoReferencia;
    }
    
    /* Obtiene el valor del campo SaldoAnterior */
    public function getSaldoAnterior()
    {
        return $this->f_SaldoAnterior;
    }
	
	/* Establece el valor del campo SaldoAnterior */
    public function setSaldoAnterior( $f_SaldoAnterior)
    {
        $this->f_SaldoAnterior = $f_SaldoAnterior;
    }
    
    /* Obtiene el valor del campo SaldoAnterior */
    public function getMontoExtra()
    {
        return $this->f_MontoExtra;
    }
	
	/* Establece el valor del campo SaldoAnterior */
    public function setMontoExtra( $f_MontoExtra)
    {
        $this->f_MontoExtra = $f_MontoExtra;
    }
    
    /* Obtiene el valor del campo SaldoAnterior */
    public function getMontoExtraFinal()
    {
        return $this->f_MontoExtraFinal;
    }
	
	/* Establece el valor del campo SaldoAnterior */
    public function setMontoExtraFinal( $f_MontoExtraFinal)
    {
        $this->f_MontoExtraFinal = $f_MontoExtraFinal;
    }


    /* Obtiene el valor del campo LimiteCredito */
    public function getTelefonoContacto()
    {
        return $this->f_TelefonoContacto;
    }
    
    /* Establece el valor del campo Mora */
    public function setMora( $f_Mora)
    {
        $this->f_Mora = $f_Mora;
    }

    /* Obtiene el valor del campo Mora */
    public function getMora()
    {
        return $this->f_Mora;
    }
    
    /* Establece el valor del campo MoraFinal */
    public function setMoraFinal( $f_MoraFinal)
    {
        $this->f_MoraFinal = $f_MoraFinal;
    }

    /* Obtiene el valor del campo MoraFinal */
    public function getMoraFinal()
    {
        return $this->f_MoraFinal;
    }
    

    /* Establece el valor del campo InteresPorcentaje */
    public function setInteresPorcentaje( $f_InteresPorcentaje )
    {
        $this->f_InteresPorcentaje = $f_InteresPorcentaje;
    }

    /* Obtiene el valor del campo InteresPorcentaje */
    public function getInteresPorcentaje()
    {
        return $this->f_InteresPorcentaje;
    }
    
	/* Establece el valor del campo InteresPorcentajeFinal */
    public function setInteresPorcentajeFinal( $f_InteresPorcentajeFinal )
    {
        $this->f_InteresPorcentajeFinal = $f_InteresPorcentajeFinal;
    }

    /* Obtiene el valor del campo InteresPorcentajeFinal */
    public function getInteresPorcentajeFinal()
    {
        return $this->f_InteresPorcentajeFinal;
    }

    /* Establece el valor del campo Duracion */
    public function setDuracion( $i_Duracion )
    {
        $this->i_Duracion = $i_Duracion;
    }

    /* Obtiene el valor del campo Duracion */
    public function getDuracion()
    {
        return $this->i_Duracion;
    }
	/* Establece el valor del campo DuracionFinal */
    public function setDuracionFinal( $i_DuracionFinal )
    {
        $this->i_DuracionFinal = $i_DuracionFinal;
    }

    /* Obtiene el valor del campo Duracion */
    public function getDuracionFinal()
    {
        return $this->i_DuracionFinal;
    }

    /* Establece el valor del campo PeridiocidadPago */
    public function setPeridiocidadPagoFinal( $s_PeridiocidadPagoFinal )
    {
        $this->s_PeridiocidadPagoFinal = $s_PeridiocidadPagoFinal;
    }

    /* Obtiene el valor del campo PeridiocidadPago */
    public function getPeridiocidadPagoFinal()
    {
        return $this->s_PeridiocidadPagoFinal;
    }

    /* Establece el valor del campo PeridiocidadPago */
    public function setPeridiocidadPago( $s_PeridiocidadPago )
    {
        $this->s_PeridiocidadPago = $s_PeridiocidadPago;
    }

    /* Obtiene el valor del campo PeridiocidadPago */
    public function getPeridiocidadPago()
    {
        return $this->s_PeridiocidadPago;
    }

    /* Establece el valor del campo HoraAtencion */
    public function setHoraAtencion( $s_HoraAtencion )
    {
        $this->s_HoraAtencion = $s_HoraAtencion;
    }

    /* Obtiene el valor del campo HoraAtencion */
    public function getHoraAtencion()
    {
        return $this->s_HoraAtencion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo Eliminado */
    public function setEliminado( $i_Eliminado )
    {
        $this->i_Eliminado = $i_Eliminado;
    }

    /* Obtiene el valor del campo Eliminado */
    public function getEliminado()
    {
        return $this->i_Eliminado;
    }

    /* Establece el valor del campo UsuarioEliminado */
    public function setUsuarioEliminado( $s_UsuarioEliminado )
    {
        $this->s_UsuarioEliminado = $s_UsuarioEliminado;
    }

    /* Obtiene el valor del campo UsuarioEliminado */
    public function getUsuarioEliminado()
    {
        return $this->s_UsuarioEliminado;
    }
    
    
    
    /* Establece el valor del campo RegistroLatitud */
    public function setRegistroLatitud( $s_RegistroLatitud )
    {
        $this->s_RegistroLatitud = $s_RegistroLatitud;
    }

    /* Obtiene el valor del campo RegistroLatitud */
    public function getRegistroLatitud()
    {
        return $this->s_RegistroLatitud;
    }

    
    /* Establece el valor del campo RegistroLongitud */
    public function setRegistroLongitud( $s_RegistroLongitud)
    {
        $this->s_RegistroLongitud = $s_RegistroLongitud;
    }

    /* Obtiene el valor del campo RegistroLongitud */
    public function getRegistroLongitud()
    {
        return $this->s_RegistroLongitud;
    }

    

    /* Establece el valor del campo FechaEliminado */
    public function setFechaEliminado( $d_FechaEliminado )
    {
        $this->d_FechaEliminado = $d_FechaEliminado;
    }

    /* Obtiene el valor del campo FechaEliminado */
    public function getFechaEliminado()
    {
        return $this->d_FechaEliminado;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo Observacion */
    public function setObservacion( $s_Observacion )
    {
        $this->s_Observacion = $s_Observacion;
    }

    /* Obtiene el valor del campo Observacion */
    public function getObservacion()
    {
        return $this->s_Observacion;
    }
    /* Establece el valor del campo Observacion */
    public function setObservacionFinal( $s_ObservacionFinal )
    {
        $this->s_ObservacionFinal = $s_ObservacionFinal;
    }

    /* Obtiene el valor del campo Observacion */
    public function getObservacionFinal()
    {
        return $this->s_ObservacionFinal;
    }

    /* Recupera un objeto Cr_pedido_prestamoBN desde un RecordSet */
    public static function retrieveByRs( $o_Cr_pedido_prestamoRs )
    {
        $o_Cr_pedido_prestamoBN = new Cr_pedido_prestamoBN();
        $o_Cr_pedido_prestamoBN->setIdpedido( ( integer ) $o_Cr_pedido_prestamoRs[ "Idpedido" ] );
        $o_Cr_pedido_prestamoBN->setIdCliente( ( integer ) $o_Cr_pedido_prestamoRs[ "IdCliente" ] );
        $o_Cr_pedido_prestamoBN->setIidMercado( ( integer ) $o_Cr_pedido_prestamoRs[ "IidMercado" ] );
        $o_Cr_pedido_prestamoBN->setIdColaborador( ( integer ) $o_Cr_pedido_prestamoRs[ "IdColaborador" ] );
        $o_Cr_pedido_prestamoBN->setFechaTransaccion( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamoRs[ "FechaTransaccion" ], "Y-m-d" ) );
        $o_Cr_pedido_prestamoBN->setMonto( ( float ) $o_Cr_pedido_prestamoRs[ "Monto" ] );
        $o_Cr_pedido_prestamoBN->setLimiteCredito( ( float ) $o_Cr_pedido_prestamoRs[ "LimiteCredito" ] );
        $o_Cr_pedido_prestamoBN->setInteresPorcentaje( ( float ) $o_Cr_pedido_prestamoRs[ "InteresPorcentaje" ] );
        $o_Cr_pedido_prestamoBN->setInteresPorcentajeFinal( ( float ) $o_Cr_pedido_prestamoRs[ "InteresPorcentajeFinal" ] );
        $o_Cr_pedido_prestamoBN->setDuracion( ( integer ) $o_Cr_pedido_prestamoRs[ "Duracion" ] );
        $o_Cr_pedido_prestamoBN->setPeridiocidadPago( $o_Cr_pedido_prestamoRs[ "PeridiocidadPago" ] );
        $o_Cr_pedido_prestamoBN->setHoraAtencion( $o_Cr_pedido_prestamoRs[ "HoraAtencion" ] );
        $o_Cr_pedido_prestamoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamoRs[ "FechaCreacion" ], "Y-m-d" ) );
        $o_Cr_pedido_prestamoBN->setUsuarioCreacion( $o_Cr_pedido_prestamoRs[ "UsuarioCreacion" ] );
        $o_Cr_pedido_prestamoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamoRs[ "FechaModificacion" ], "Y-m-d" ) );
        $o_Cr_pedido_prestamoBN->setUsuarioModificacion( $o_Cr_pedido_prestamoRs[ "UsuarioModificacion" ] );
        $o_Cr_pedido_prestamoBN->setEliminado( ( integer ) $o_Cr_pedido_prestamoRs[ "Eliminado" ] );
        $o_Cr_pedido_prestamoBN->setUsuarioEliminado( $o_Cr_pedido_prestamoRs[ "UsuarioEliminado" ] );
        $o_Cr_pedido_prestamoBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_Cr_pedido_prestamoRs[ "FechaEliminado" ], "Y-m-d" ) );
        $o_Cr_pedido_prestamoBN->setEstado( $o_Cr_pedido_prestamoRs[ "Estado" ] );
        $o_Cr_pedido_prestamoBN->setObservacion( $o_Cr_pedido_prestamoRs[ "Observacion" ] );
        $o_Cr_pedido_prestamoBN->setObservacionFinal( $o_Cr_pedido_prestamoRs[ "ObservacionFinal" ] );
        return $o_Cr_pedido_prestamoBN;
    }
}
?>